# std::mem_fun1_ref_t< void, Type, Arg > Class Template Reference
[Adaptors for pointers to members]

One of the adaptors for member pointers. More...

`#include <stl_function.h>`

Inheritance diagram for std::mem_fun1_ref_t< void, Type, Arg >:

[legend]
Collaboration diagram for std::mem_fun1_ref_t< void, Type, Arg >:

[legend]
List of all members.

## Public Types
typedef Type | first_argument_type
| the type of the first argument
typedef Arg | second_argument_type
| the type of the second argument
typedef void | result_type
| type of the return type

## Detailed Description

### template<class Type, class Arg>
class std::mem_fun1_ref_t< void, Type, Arg >

One of the adaptors for member pointers.

Definition at line 816 of file stl_function.h.

## Member Typedef Documentation

typedef Type std::binary_function< Type , Arg , void >::first_argument_type`[inherited]`

| the type of the first argument Definition at line 116 of file stl_function.h.

typedef void std::binary_function< Type , Arg , void >::result_type`[inherited]`

| type of the return type Definition at line 120 of file stl_function.h.

typedef Arg std::binary_function< Type , Arg , void >::second_argument_type`[inherited]`

| the type of the second argument Definition at line 119 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h